Subject: [os2genau_digest] No. 1199
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 27 Sep 2005 00:02:17 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 26 September 2005
 Number  1199
**************************************************

Subjects for today
 
1   File Title and Real Name : Dennis Nolan <djn at aanet dot com dot au>
1  Re:  File Title and Real Name : John Angelico" <talldad at kepl dot com dot au>
2   IBM PC Server 315 - wants a home : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Mon, 26 Sep 2005 21:06:54 +1000
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:   File Title and Real Name

Does anyone know how to get a file object to use the Real name as it's 
title.

Explanation: Web gallery generators like jAlbum create a lot of html 
files. In my gallery site I want to provide only one page and then just 
change the content of the page.
And this I have managed to do in testing.
To make things easier I want the image files to have consecutive 
numbering in their filenames, so after selecting the photos for display 
and putting them into a folder I drop the folder onto a Rexx program 
which removes the original numeric component of the filenames and 
renames the files with consecutive numeric identifiers. It also converts 
the name to only lower case characters.
Unfortunately this renumbering leaves the title unaffected, and 
applications like pmView uses the title rather than the real name.

So does anyone know how to synchronize Title to Real Name?

Regards
Dennis.

-- 

Howard's "Fair Dismissal" means it's fair for sleaze-bag bosses to sack anyone who rejects their sleazy gropings.
How will you explain that to your daughter.

Dennis Nolan
ETU Shopsteward.

----------------------------------------------------------------------------------

**= Email   1 ==========================**

Date:  Mon, 26 Sep 2005 21:40:17 +0800 (HST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  File Title and Real Name

On Mon, 26 Sep 2005 21:06:54 +1000, Dennis Nolan wrote:

>Unfortunately this renumbering leaves the title unaffected, and 
>applications like pmView uses the title rather than the real name.
>
>So does anyone know how to synchronize Title to Real Name?

Hi Dennis

How about using Rexx SYSSETOBJECTDATA to alter the Title as well?

Following added by son Chris.

Instead of using the system "REN" command, use:
call syssetobjectdata
"current_name_inc_path","TITLE=new_filename_without_path"

For instance:
call sysfiletree directory()"\*.*","stem","fo"
do i=1 to stem.0
	call charout ,"["filespec("N",stem.i)"] "
	parse pull newname
	if newname\="" then call syssetobjectdata stem.i,"TITLE="newname
end

This program will run through the files in the current directory and prompt
for a new name for each. (Hit Enter to keep the same name). Note it reads
file names, not titles... to read titles you need WPTools.DLL; replace the
call charout line with:
	call wptoolsqueryobject stem.i,,"curtit"; call charout ,"["curtit"] "

Bon chance!

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... OS/2: Not just another pretty program loader!
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 26 Sep 2005 22:25:16 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:   IBM PC Server 315 - wants a home

Hi Everyone

Anyone interested in an IBM PC Server 315 ?

Pentium Pro 200
32Mb ECC RAM (sorry - I needed the rest)
S3 Trio 64V+ PCI video card
RLT8139 NIC
SCSI CD-ROM drive
1.44M FD
4 x 3 1/2" bays free
1 x 5 1/4" bay free
1 x USB

Requires SCSI card and SCSI drives,
or IDE card and IDE drives

Free to good home - Makes an excellent home based server.
Its been my mail server backup but rarely gets used, guess that comes
from using OS/2 :)

Cheers
Ian Manners
http://www.os2site dot com/

Bug-free environment; please do not use Windows.
----------------------------------------------------------------------------------